Get Application Key
Retrieves the application key matching the provided ID.
Specifying a project, organization and application ID is optional but help with filtering/performance.
Required permissions:
- project.app.read
Header Parameters
Define the version of the Connect protocol
1Define the timeout, in ms
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
The unique ID of the application key to be retrieved.
Response Body
application/json
application/json
curl -X POST "https://loading/zitadel.application.v2.ApplicationService/GetApplicationKey" \ -H "Connect-Protocol-Version: 1" \ -H "Content-Type: application/json" \ -d '{ "keyId": "string" }'{
"keyId": "string",
"creationDate": "2023-01-15T01:30:15.01Z",
"expirationDate": "2023-01-15T01:30:15.01Z"
}{
"code": "not_found",
"message": "string",
"details": [
{
"type": "string",
"value": "string",
"debug": {}
}
]
}Was this page helpful?
Get Application
Get Application: Retrieves the application matching the provided ID. Required permissions:
List Application Keys
List Application Keys: Returns a list of application keys matching the input parameters. The result can be sorted by id, aggregate, creation date, expiration date, resource owner or type. It can also be filtered by appli...